Bug 677106 - [abrt] setroubleshoot-server-3.0.25-1.fc14: browser.py:618:on_details_button_clicked:IndexError: list index out of range
Summary: [abrt] setroubleshoot-server-3.0.25-1.fc14: browser.py:618:on_details_button_...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot
Version: 14
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:4bccdf89
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-13 12:13 UTC by Vita
Modified: 2011-03-09 20:53 UTC (History)
2 users (show)

Fixed In Version: setroubleshoot-3.0.30-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-09 20:53:54 UTC


Attachments (Terms of Use)
File: backtrace (493 bytes, text/plain)
2011-02-13 12:13 UTC, Vita
no flags Details

Description Vita 2011-02-13 12:13:39 UTC
abrt version: 1.1.14
architecture: x86_64
cmdline: /usr/bin/python -Es /usr/bin/sealert -s
component: setroubleshoot
executable: /usr/bin/sealert
kernel: 2.6.35.11-83.fc14.x86_64
package: setroubleshoot-server-3.0.25-1.fc14
reason: browser.py:618:on_details_button_clicked:IndexError: list index out of range
release: Fedora release 14 (Laughlin)
time: 1297598833
uid: 500

backtrace
-----
browser.py:618:on_details_button_clicked:IndexError: list index out of range

Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/setroubleshoot/browser.py", line 618, in on_details_button_clicked
    message = self.alert_list[self.current_alert].format_text()
IndexError: list index out of range

Local variables in innermost frame:
widget: <gtk.Button object at 0x4143140 (GtkButton at 0x1661ef0)>
self: <setroubleshoot.browser.BrowserApplet instance at 0x1b14b00>

How to reproduce
-----
1. i've clicked selinux AVC denial -> troubleshoot
2.
3.

Comment 1 Vita 2011-02-13 12:13:42 UTC
Created attachment 478462 [details]
File: backtrace

Comment 2 Daniel Walsh 2011-02-18 16:34:59 UTC
Fixed in  setroubleshoot-3.0.26

Comment 3 Fedora Update System 2011-02-18 20:42:48 UTC
setroubleshoot-3.0.28-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/setroubleshoot-3.0.28-1.fc14

Comment 4 Fedora Update System 2011-02-19 01:26:56 UTC
setroubleshoot-3.0.28-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update setroubleshoot'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/setroubleshoot-3.0.28-1.fc14

Comment 5 Fedora Update System 2011-03-01 16:17:48 UTC
Package setroubleshoot-3.0.30-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing setroubleshoot-3.0.30-1.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/setroubleshoot-3.0.30-1.fc14
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-03-02 01:53:34 UTC
setroubleshoot-3.0.30-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update setroubleshoot'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/setroubleshoot-3.0.30-1.fc14

Comment 7 Fedora Update System 2011-03-09 20:53:31 UTC
setroubleshoot-3.0.30-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.